Subject: bug#43405: Tool bar item doesn't align to the right edge

From: Robert Pluim <[email-masked]>
Date: Thu, 17 Sep 2020 11:03:46 +0200

>>>>> On Tue, 15 Sep 2020 21:39:22 +0300, Eli Zaretskii <[email-masked]> said:

    Eli> In the versions of Emacs that use the so-called "external tool bar",
    Eli> like the GTK build, I don't see how :align-to can have any effect at
    Eli> all; we need instead to use GTK facilities to arrange the buttons
    Eli> (assuming that such facilities exist and are available to Emacs).

The GTK code just adds items to the toolbar in order. Itʼs possible in
GTK to specify negative positions for toolbar items, but that just
means 'append', not 'align to right border' as far as I can see.

Hmm, if we were to use a 'header bar' rather than a 'tool bar', we
could use css to specify whether individual items are right or left
aligned. Iʼll leave that exercise up to someone else.

Robert